MsgParser
Date: 2017-06-10

org.gcube.informationsystem.collector.impl.utils

## Class MsgParser

- java.lang.Object
- - org.gcube.informationsystem.collector.impl.utils.MsgParser

-     public class MsgParser
      extends java.lang.Object

  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MsgParser(org.apache.axis.encoding.AnyContentType deliveredMsg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()` Releases the allocated resources
    `java.lang.String` | `getEntryAsString()` Returns a XML representation of the Entry
    `java.lang.String` | `getEntryType()` Returns the entry type.
    `java.lang.String` | `getGHNID()` Returns the DHN ID included in the entry
    `java.lang.String` | `getProfile()`
    `java.lang.String` | `getRunningInstanceID()` Returns the Running Instance ID included in the entry
    `java.lang.String` | `getScopeName()` Returns the Scope Name included in the entry
    `java.lang.String` | `getServiceClass()` Returns the Service Class included in the entry
    `java.lang.String` | `getServiceID()` Returns the Service ID included in the entry
    `java.lang.String` | `getServiceName()` Returns the Service Name included in the entry

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MsgParser

          public MsgParser(org.apache.axis.encoding.AnyContentType deliveredMsg)
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getEntryType

          public java.lang.String getEntryType()

      Returns the entry type. It can be "Properties" or "Profile"
      Returns:
        the entry type

    - #### getScopeName

          public java.lang.String getScopeName()
                                        throws java.lang.Exception

      Returns the Scope Name included in the entry
      Returns:
        the Scope name
      Throws:
        `java.lang.Exception`

    - #### getServiceName

          public java.lang.String getServiceName()
                                          throws java.lang.Exception

      Returns the Service Name included in the entry
      Returns:
        the service name
      Throws:
        `java.lang.Exception`

    - #### getServiceClass

          public java.lang.String getServiceClass()
                                           throws java.lang.Exception

      Returns the Service Class included in the entry
      Returns:
        the service class
      Throws:
        `java.lang.Exception`

    - #### getRunningInstanceID

          public java.lang.String getRunningInstanceID()
                                                throws java.lang.Exception

      Returns the Running Instance ID included in the entry
      Returns:
        the ID
      Throws:
        `java.lang.Exception`

    - #### getServiceID

          public java.lang.String getServiceID()
                                        throws java.lang.Exception

      Returns the Service ID included in the entry
      Returns:
        the service ID
      Throws:
        `java.lang.Exception`

    - #### getGHNID

          public java.lang.String getGHNID()
                                    throws java.lang.Exception

      Returns the DHN ID included in the entry
      Returns:
        the DHN ID
      Throws:
        `java.lang.Exception`

    - #### getProfile

          public java.lang.String getProfile()
                                      throws java.lang.Exception

      Returns:
        the profile, it any
      Throws:
        `java.lang.Exception`

    - #### getEntryAsString

          public java.lang.String getEntryAsString()

      Returns a XML representation of the Entry
      Returns:
        the XML string

    - #### dispose

          public void dispose()

      Releases the allocated resources